%define version 3.9.0
%define release alt1
#define snap_date 20041223

Summary: The eric3 is a Python IDE
Name: eric
Version: %version
%ifdef snap_date
Release: %release.snap%snap_date
Source0: eric-snapshot-%snap_date.tar.gz
Source1: eric-i18n-de-snapshot-%snap_date.tar.gz
Source2: eric-i18n-fr-snapshot-%snap_date.tar.gz
Source3: eric-i18n-ru-snapshot-%snap_date.tar.gz
%else
Release: %release
Source0: eric-%version.tar.gz
Source1: eric-i18n-de-%version.tar.gz
Source2: eric-i18n-fr-%version.tar.gz
Source3: eric-i18n-ru-%version.tar.gz
%endif

Patch0:  eric-3.7.1-alt-qt3path.patch

License: GPL
Group: Development/Python
URL: http://www.die-offenbachs.de/detlev/eric3.html
BuildArch: noarch

PreReq: python = %__python_version
BuildPreReq: python-devel = %__python_version

%add_python_req_skip Checks
%add_python_req_skip Debugger
%add_python_req_skip DocumentationTools
%add_python_req_skip Graphics
%add_python_req_skip Helpviewer
%add_python_req_skip Preferences
%add_python_req_skip Project
%add_python_req_skip PyUnit
%add_python_req_skip QScintilla
%add_python_req_skip Refactoring
%add_python_req_skip Scripting
%add_python_req_skip SocketServer
%add_python_req_skip ThirdParty
%add_python_req_skip UI
%add_python_req_skip Utilities
%add_python_req_skip VCS
%add_python_req_skip ViewManager
%add_python_req_skip Wizards
%add_python_req_skip XML
%add_python_req_skip KdeQt
%add_python_req_skip bike
%add_python_req_skip eric3dbgstub
%add_python_req_skip DebugClients
%add_python_req_skip Packagers

%add_python_req_skip mod_python
%add_python_req_skip mercurial

BuildPreReq: %py_package_dependencies sip
BuildPreReq: %py_package_dependencies qt
BuildPreReq: xorg-x11-libs

%description
Eric3 is a full featured Python IDE that is written in PyQt using the QScintilla editor widget. For information on PyQt and QScintilla please see Riverbank Computing.

%prep
%ifdef snap_date
%setup -n %name-snapshot-%snap_date -b1 -b2 -b3
%else
%setup -n %name-%version -b1 -b2 -b3
%endif
%patch0 -p 0

%build
%install
mkdir -p %buildroot{%_bindir,%python_sitelibdir,%_menudir,%_datadir/pixmaps}
###%__python install.py -b %buildroot%_bindir -d %buildroot%python_sitelibdir
%__python install.py -i %buildroot -b %_bindir -d %python_sitelibdir -c

%__install -m644 %name/icons/default/%name.png %buildroot/%_datadir/pixmaps/%name.png

%__subst s,%buildroot,, %buildroot%_bindir/*
%__subst s,%_bindir/python,%_bindir/python%__python_version, %buildroot%_bindir/*
%__subst s,%buildroot,, %buildroot%python_sitelibdir/eric3config.py

cat <<EOF > %buildroot/%_menudir/eric3
?package(eric): needs=X11 \
                        section="Applications/Development/Development environments" \
			title="Eric" \
			longtitle="A powerful python IDE" \
			command="%_bindir/eric3" \
			icon="eric.png"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%python_sitelibdir/*
%_menudir/eric3
%_datadir/pixmaps/%name.png
%doc README LICENSE.GPL HISTORY

%changelog
* Sun May 28 2006 Ivan Fedorov <ns@altlinux.ru> 3.9.0-alt1
- 3.9.0

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 3.8.2-alt1
- 3.8.2

* Sat Dec 31 2005 Ivan Fedorov <ns@altlinux.ru> 3.8.1-alt1
- 3.8.1

* Wed Nov 09 2005 Ivan Fedorov <ns@altlinux.ru> 3.8.0-alt1
- 3.8.0

* Sat Jul 16 2005 Ivan Fedorov <ns@altlinux.ru> 3.7.1-alt1
- 3.7.1

* Wed Jun 08 2005 Ivan Fedorov <ns@altlinux.ru> 3.7.0-alt1
- 3.7.0

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 3.6.2-alt2
- rebuild with python 2.4

* Tue Feb 22 2005 Ivan Fedorov <ns@altlinux.ru> 3.6.2-alt1
- 3.6.2

* Tue Feb 01 2005 Ivan Fedorov <ns@altlinux.ru> 3.6.1-alt1
- 3.6.1

* Thu Jan 27 2005 Ivan Fedorov <ns@altlinux.ru> 3.6.0-alt0.M24.1
- Backport to Master 2.4

* Mon Jan 24 2005 Ivan Fedorov <ns@altlinux.ru> 3.6.0-alt1
- 3.6.0

* Tue Jan 04 2005 Ivan Fedorov <ns@altlinux.ru> 3.5.1-alt1.M24.1
- Backport to Master 2.4

* Wed Dec 29 2004 Ivan Fedorov <ns@altlinux.ru> 3.5.1-alt2
- we doesn't hard require python-module-PyQt now

* Mon Dec 27 2004 Ivan Fedorov <ns@altlinux.ru> 3.6.0-alt0.snap20041223
- 3.6.0-snapshot-20041223

* Wed Dec 08 2004 Ivan Fedorov <ns@altlinux.ru> 3.5.1-alt1
- 3.5.1
- removed patch0 (applied to upsteam)
- we doesn't require python-strict now

* Mon Nov 22 2004 Ivan Fedorov <ns@altlinux.ru> 3.6.0-alt0.snap20041121
- Testing snapshot

* Fri Nov 19 2004 Ivan Fedorov <ns@altlinux.ru> 3.5.0-alt5
- fixing provides
- fixing requires
- rewrite spec

* Mon Nov 08 2004 Ivan Fedorov <ns@altlinux.ru> 3.5.0-alt4
- fixing scripts in %_bindir

* Sun Nov 07 2004 Ivan Fedorov <ns@altlinux.ru> 3.5.0-alt3
- Added patch for work russian translation.

* Sat Nov 06 2004 Ivan Fedorov <ns@altlinux.ru> 3.5.0-alt2
- Added i18n files.

* Fri Nov 05 2004 Ivan Fedorov <ns@altlinux.ru> 3.5.0-alt1
- New release

* Fri Nov 05 2004 Ivan Fedorov <ns@altlinux.ru> 3.3.1-alt2
- Fixing building

* Mon Dec 22 2003 Serge V. Sergeev <ssv@altlinux.ru> 3.3.1-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.1-alt1
- new release

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.0.0-alt2
- encoding patch added

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.0.0-alt1
- new release

